using System;

internal sealed class Delegate838 : MulticastDelegate
{
	public extern void Invoke(IntPtr intptr_0);

	public static void smethod_0(IntPtr intptr_0, Delegate838 delegate838_1)
	{
		delegate838_1(intptr_0);
	}

	public extern Delegate838(object object_0, IntPtr intptr_0);

	static Delegate838()
	{
		Class10.smethod_13(typeof(Delegate838).TypeHandle);
	}

	internal static Delegate838 delegate838_0;
}
